#! /bin/ksh
#*********************************************************************************#
# Autor:    Harald Wunder                                                         #
#           Firma Xpoint Software GmbH                                            #
#           20.03.2019                                                            #
# Name:     start.sh                                                              #
# Funktion: Updateroutine                                                         #
#           (Sichern, Aktualisieren und Konvertieren)                             #
#---------------------------------------------------------------------------------#
# Parameter $1 bis $5 werden aus dem Script instxoil bergeben                    #
# XP_ACU    ($1) = Laufzeitumgebung         (z.B. /u/xpoint/?cu)                  #
# XP_PROT   ($2) = Protokolldatei           (z.B. /u/xpoint/?cu/LISTE/UPDPRT.DRU) #
# XP_RUNCBL ($3) = ran-Befehl               (z.B. /etc/ran oder /etc/ranbcu)      #
# XP_XPVA   ($4) = Sicherungsverzeichnis    (z.B. /u/xpoint/xpva_?cu)             #
# XP_TEST   ($5) = Test J/N                                                       #
# XP_XPV         = Installationsverzeichnis (/u/xpoint/xpv)                       #
#---------------------------------------------------------------------------------#
# Bitte nach "ANPASSEN" suchen und anpassen :-)                                   #
#*********************************************************************************#
tmp1=/tmp/start.sh1_$$
OSVAR=`uname`
XP_ACU=$1
export XP_ACU
XP_PROT=$2
export XP_PROT
XP_RUNCBL=$3
XP_XPVA=$4
XP_TEST=$5
##
case $XP_TEST in
J) XP_XPV=$HOME/tmp/install/xpv
   ;;
*) XP_XPV=/u/xpoint/xpv
   ;;
esac
##
case $OSVAR in
Linux) LC_ALL=de_DE.iso88591
       export LC_ALL
       ;;
esac
###
###--------------- Lschen + Neuanlage xpva_[Instanz]
###
clear
echo "                                                         "
echo " * Xpoint Software GmbH, Buchenstr.6, 95339 Neuenmarkt * "
echo " ------------------------------------------------------- "
echo "    X-oil Update $updversion                             "
echo " ------------------------------------------------------- "
echo "                                                         "
echo "                                                         "
echo "    Installationsschritte:                               "
echo "                                                         "
cd $XP_XPVA
for i in *.acu
do
   if [ -e $i ]
   then
      rm -f $i >/dev/null 2>&1
   fi
done
XX=`head -1 $XP_ACU/DATEN/LSSTEUER`
KUNDE=`echo $XX`
if [ -s $XP_ACU/acufirma ]
then
   XX=`head -1 $XP_ACU/acufirma`
   FIRMA=`echo $XX`
else
   FIRMA=
fi
echo " -- Beginn start.sh: `date '+%d.%m.%Y/%H:%M:%S'` "          > $XP_PROT
echo "                                                         " >> $XP_PROT
echo " ------------------------------------------------------- " >> $XP_PROT
echo "    X-oil Update $updversion                             " >> $XP_PROT
echo " ------------------------------------------------------- " >> $XP_PROT
echo "                                                         " >> $XP_PROT
echo "    Kundenkennung: $FIRMA   $KUNDE                       " >> $XP_PROT
echo "    Instanz:       $XP_ACU                               " >> $XP_PROT
echo "                                                         " >> $XP_PROT
echo "    Installationsschritte:                               " >> $XP_PROT
echo "                                                         " >> $XP_PROT
case $XP_TEST in
J) ;;
*) echo "    **************************************************************    "
   echo "    BITTE PRFEN SIE, DASS ALLE USER AUS X-ENERGY ABGEMELDET SIND!    "
   echo "    **************************************************************    "
   echo "                                                                      "
   echo "    Noch angemeldete User werden JETZT terminiert - Start mit Enter \c  "
   read eingabe
   echo "    - Noch angemeldete User werden terminiert " >> $XP_PROT
   $XP_ACU/SCRIPTS/acukill $XP_ACU  >> $XP_PROT 2>&1
   echo "                                                         "
   ;;
esac
# alte Sicherungen lschen (neu ab 11.2020)
rm -rf $XP_ACU/SCRIPTS/xpnachtlauf.??.20??
rm -rf $XP_ACU/SCRIPTS/xplizenz.??.20??
rm -rf $XP_ACU/SCRIPTS/acukill.??.20??
rm -rf $XP_ACU/SCRIPTS/archivx?.??.20??
rm -rf $XP_ACU/SCRIPTS_??.20??
rm -rf $XP_ACU/save_??.20??
#--- X-energy-Produkte:
echo "xe" > $tmp1
echo "xo" >> $tmp1
echo "ls" >> $tmp1
echo "ws" >> $tmp1
echo "lv" >> $tmp1
echo "ta" >> $tmp1
#echo "wa" >> $tmp1
echo "hg" >> $tmp1
echo "fg" >> $tmp1
#echo "ts" >> $tmp1
#ANPASSEN#
#keine TK-Programme im Update 04.2019 ndern - siehe auch xoilupd_job !!!
#echo "at" >> $tmp1
#ANPASSEN-ENDE#
echo "xs" >> $tmp1
echo "my" >> $tmp1
#echo "mu" >> $tmp1
echo "xd" >> $tmp1
echo "fi" >> $tmp1
#
mkdir -p $XP_XPVA/$updversion/acu 2>> $XP_PROT
# Programme-Verzeichnisse anlegen
cat ${tmp1} |
while read verz
do
   mkdir -p $XP_ACU/$verz/bin
   chmod -R 777 $XP_ACU/$verz
   mkdir -p $XP_XPVA/$updversion/acu/$verz/bin
   chmod -R 777 $XP_XPVA/$updversion/acu/$verz
done
# Verzeichnis fr Kundensonderprogramme anlegen
mkdir -p $XP_ACU/so/bin
chmod -R 777 $XP_ACU/so
###
###--------------- Aufrumarbeiten VOR dem Update
###
echo "    - bernahme Archivdaten            "
echo "    - bernahme ARCHIV in ZWSORT, SP098" >> $XP_PROT
cd $XP_ACU
$XP_RUNCBL SP098
###
###--------------- Programmstand alt sichern
###
echo "    - Programmstand (alt) sichern"
echo "    - Programmstand (alt) sichern" >> $XP_PROT
# Spezialprogramme (FF, xohv, CSS und CRM-Programme) zustzlich in eigenes Verzeichnis sichern
# Hoyer / Leu / Rapp / Sinnesberger / Zuegg / Knauber
cd $XP_ACU
mkdir -p save_$updversion 2>> $XP_PROT
for i in `ls FF*.acu xohv*.acu CRM*.acu SP0452.acu CSS* efax* hp* P* xo088* KDKN* 2>/dev/null`
do
   if [ -e $i ]
   then
      cp $i save_$updversion/  2>> $XP_PROT
   fi
done
cd $XP_ACU/xo/bin
mkdir -p save_$updversion 2>> $XP_PROT
for i in `ls FF*.acu xohv*.acu CRM*.acu SP0452.acu CSS* efax* hp* P* xo088* KDKN* 2>/dev/null`
do
   if [ -e $i ]
   then
      cp $i save_$updversion/  2>> $XP_PROT
   fi
done
#ANPASSEN#
# nur fr Update 05.2021 - bestimmte Programme sichern, da diese nicht mit ausgeliefert werden
# xo038, xo043, xo209
for i in `ls xo038.acu xo043.acu xo209.acu 2>/dev/null`
do
   if [ -e $i ]
   then
      cp $i save_$updversion/  2>> $XP_PROT
   fi
done
#ANPASSEN-ENDE#
###
###--------------- ALLE Programme nach ../xpva_[Instanz]/[Update_Version] sichern
###
cd $XP_ACU
for i in *.acu
do
   if [ -e $i ]
   then
      case $i in
      tk*) ;;
        *) mv $i $XP_XPVA/$updversion/acu/ 2>> $XP_PROT
           ;;
      esac
   fi
done
cat ${tmp1} |
while read verz
do
   cd $XP_ACU/$verz/bin
   for i in *.acu
   do
      if [ -e $i ]
      then
         mv $i $XP_XPVA/$updversion/acu/$verz/bin/ 2>> $XP_PROT
      fi
   done
done
# cblconfigs sichern:
mkdir -p $XP_XPVA/$updversion/acu/etc/
cp /etc/cblconf* $XP_XPVA/$updversion/acu/etc/
cp /etc/xpoint/cblconf* $XP_XPVA/$updversion/acu/etc/ >/dev/null 2>&1
###
###--------------- Mendatei mit nach ../xpva_[Instanz]/[Update_Version] sichern
###
cp -p $XP_ACU/X/SYS/menue* $XP_XPVA/$updversion/acu/
cp -p $XP_ACU/X/SYS/xomenue* $XP_XPVA/$updversion/acu/
cp -p $XP_ACU/X/SYS/xogmenue* $XP_XPVA/$updversion/acu/
cp -p $XP_ACU/X/SYS/xochronik* $XP_XPVA/$updversion/acu/
cp -p $XP_ACU/X/SYS/xofavorit* $XP_XPVA/$updversion/acu/
###
###--------------- ../xpva_[Instanz]/[Update_Version] --> tar + gzip
###
cd $XP_XPVA/$updversion
tar cf tarfile ./acu
gzip tarfile
#--- nur, wenn tar/gzip erfolgreich, kann ./acu gelscht werden
if [ -s tarfile.gz ]
then
   echo "    - Programmstand (alt) tar+gzip OK" >> $XP_PROT
   rm -rf $XP_XPVA/$updversion/acu
fi
###
###--------------- Kopieren der Programme nach /u/xpoint/[Instanz]
###
echo "    - Programmstand (neu) installieren"
echo "    - Programmstand (neu) installieren" >> $XP_PROT
cd $XP_XPV
cat ${tmp1} |
while read verz
do
  cd $XP_XPV/$verz/bin
  for i in *.acu
  do
     if [ -e $i ]
     then
        cp -p $i $XP_ACU/$verz/bin/ 2>> $XP_PROT
     fi
  done
done
###
###--- Pearl-Scripte weiter unter /u/xpoint/?cu:
###
cd $XP_XPV/xo/bin
for i in *.pl
do
   if [ -e $i ]
   then
	  echo "    - Pearl-Scripte aus xo/bin nach $XP_ACU"
	  echo "    - Pearl-Scripte aus xo/bin nach $XP_ACU" >> $XP_PROT
      cp -p $i $XP_ACU/ 2>> $XP_PROT
   fi
done
###
###--- CSSSIN-Programm wieder zurck (Zuegg)
###
if [ -s $XP_ACU/xo/bin/save_$updversion/CSSSIN.acu ]
then
    echo "    - Programm CSSSIN.acu (Konverter f. BMD-Fibu) aus Sicherung wiederherstellen"
    echo "    - Programm CSSSIN.acu (Konverter f. BMD-Fibu) aus Sicherung wiederherstellen" >> $XP_PROT
    cp $XP_ACU/xo/bin/save_$updversion/CSSSIN.acu $XP_ACU/xo/bin/  2>> $XP_PROT
fi
###
###--- Monatsbestnde f. Fibu-Programme (xo088*) wieder zurck (Franz Hoffmann)
###
if [ -s $XP_ACU/xo/bin/save_$updversion/xo088.acu ]
then
    echo "    - Programme xo088*.acu (Monatsbestnde f. Fibu) aus Sicherung wiederherstellen"
    echo "    - Programme xo088*.acu (Monatsbestnde f. Fibu) aus Sicherung wiederherstellen" >> $XP_PROT
    cp $XP_ACU/xo/bin/save_$updversion/xo088*.acu $XP_ACU/xo/bin/  2>> $XP_PROT
fi
# Hoyer: Bestimmte Programme aus Sicherung wieder zurck kopieren
case $KUNDE in
hoyer) echo "    - Programme fr Hoyer (xohv, P*, hp*) aus Sicherung wiederherstellen"
       echo "    - Programme fr Hoyer (xohv, P*, hp*) aus Sicherung wiederherstellen" >> $XP_PROT
       cp $XP_ACU/xo/bin/save_$updversion/P* $XP_ACU/xo/bin/  2>> $XP_PROT
       cp $XP_ACU/xo/bin/save_$updversion/xohv*.acu $XP_ACU/xo/bin/  2>> $XP_PROT
       cp $XP_ACU/xo/bin/save_$updversion/hp* $XP_ACU/xo/bin/  2>> $XP_PROT
       ;;
esac
# Knauber: Bestimmte Programme aus Sicherung wieder zurck kopieren
case $KUNDE in
knauber) echo "    - Programme fr Knauber (KDKN*) aus Sicherung wiederherstellen"
         echo "    - Programme fr Knauber (KDKN*) aus Sicherung wiederherstellen" >> $XP_PROT
         cp $XP_ACU/xo/bin/save_$updversion/KDKN* $XP_ACU/xo/bin/  2>> $XP_PROT
         ;;
esac
#ANPASSEN#
# nur fr Update 05.2021 - bestimmte Programme wieder hinstellen, da nicht mit ausgeliefert
# xo038, xo043, xo209
if [ -s $XP_ACU/xo/bin/save_$updversion/xo038.acu ]
then
    echo "    - Programme xo038.acu aus Sicherung wiederherstellen"
    echo "    - Programme xo038.acu aus Sicherung wiederherstellen" >> $XP_PROT
    cp $XP_ACU/xo/bin/save_$updversion/xo038.acu $XP_ACU/xo/bin/  2>> $XP_PROT
fi
if [ -s $XP_ACU/xo/bin/save_$updversion/xo043.acu ]
then
    echo "    - Programme xo043.acu aus Sicherung wiederherstellen"
    echo "    - Programme xo043.acu aus Sicherung wiederherstellen" >> $XP_PROT
    cp $XP_ACU/xo/bin/save_$updversion/xo043.acu $XP_ACU/xo/bin/  2>> $XP_PROT
fi
if [ -s $XP_ACU/xo/bin/save_$updversion/xo209.acu ]
then
    echo "    - Programme xo209.acu aus Sicherung wiederherstellen"
    echo "    - Programme xo209.acu aus Sicherung wiederherstellen" >> $XP_PROT
    cp $XP_ACU/xo/bin/save_$updversion/xo209.acu $XP_ACU/xo/bin/  2>> $XP_PROT
fi
#ANPASSEN-ENDE#
###
###--- Verzeichnis /u/xpoint/?cu/mu lschen:
###
#ANPASSEN#
# nur fr Update 04.2019 !!!
#rm -rf $XP_ACU/mu 2>> $XP_PROT
#ANPASSEN-ENDE#
###
###--------------- Hilfetexte aktualisieren
###
echo "    - Hilfetexte aktualisieren"
echo "    - Hilfetexte aktualisieren" >> $XP_PROT
cd $XP_XPV
cp -p -r X/HLP/* $XP_ACU/X/HLP/ 2>> $XP_PROT
###
###--------------- weitere Systemdateien aktualisieren (Scripte, Bitmaps, etc.)
###
echo "    - Systemdateien von X-oil aktualisieren"
echo "    - Systemdateien von X-oil aktualisieren" >> $XP_PROT
cd $XP_XPV
cp -p work/XP/progfil $XP_ACU/work/XP/ 2>> $XP_PROT
#
#echo "    - Kurzbefehle aktualisieren"
#echo "    - Kurzbefehle aktualisieren" >> $XP_PROT
cp -p ucb/XP/* $XP_ACU/ucb/XP/ > /dev/null 2>&1
chmod -R 777 $XP_ACU/ucb/XP 2>> $XP_PROT
chown -R root $XP_ACU/ucb/XP > /dev/null 2>&1
chgrp -R root $XP_ACU/ucb/XP > /dev/null 2>&1
###
###--------------- genderte Scripts sichern
###
mkdir -p $XP_ACU/SCRIPTS_$updversion 2>> $XP_PROT
cd $XP_XPV/SCRIPTS
for i in `ls`
do
   if [ -e $XP_ACU/SCRIPTS/$i ]
   then
      cp -rp  $XP_ACU/SCRIPTS/$i $XP_ACU/SCRIPTS_$updversion/ 2>> $XP_PROT
   fi
done
###
###--------------- neue Scripte bereit stellen, neue Bilder fr Buttons (z.B. Tool-Bar)
###
cd $XP_XPV
cp -p  -r SCRIPTS/* $XP_ACU/SCRIPTS/ 2>> $XP_PROT
#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
#ANPASSEN#
# nur fr Update 04.2019 !!!
# cblconfig-Dateien bearbeiten
# if [ -s /etc/xpoint/cblconfig ]
# then
#    cblverz="/etc/xpoint"
# else
#    cblverz="/etc"
# fi
# case $XP_TEST in
# J) ;;
# *) cd $cblverz
#    for i in `ls cblconf*`
#    do
#      CBLDAT=$i
#      case $CBLDAT in
#      cblconfi.db2) ;;
#      *) if [ -s ${CBLDAT} ]
#         then
#             if [ ! -e sich_${CBLDAT}_${updversion} ]
#             then
#                 echo "    - ${CBLDAT} sichern nach sich_${CBLDAT}_${updversion} ..."   >> $XP_PROT
#                 cp ${CBLDAT} sich_${CBLDAT}_${updversion} >> $XP_PROT 2>&1
#                 echo "    - ${CBLDAT} aktualisieren ..."   >> $XP_PROT
#                 if [ -s sich_${CBLDAT}_${updversion} ]
#                 then
#                      cat sich_${CBLDAT}_${updversion} | sed 's/A_REMOVE_EMPTY_ERROR_FILE/#A_REMOVE_EMPTY_ERROR_FILE/g' > ${CBLDAT} 2>> $XP_PROT
#                      echo "#Update ${updversion}:" >> ${CBLDAT}
#                      echo "A_REMOVE_EMPTY_ERROR_FILE 1"  >> ${CBLDAT}
#                 else
#                    echo "Feher bei Update ${CBLDAT}" >> $XP_PROT
#                 fi
#             fi
#         fi
#         ;;
#      esac
#    done
#    ;;
# esac
#ANPASSEN-ENDE#
cd $XP_ACU
#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
mkdir -p DATEN/save 2>> $XP_PROT
###
###--------------- Aufruf der Konvertierungsprogramme
###
echo "    - Konvertierungsprogramme starten"
echo "    - Konvertierungsprogramme" >> $XP_PROT
#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
mkdir -p $XP_ACU/DATEN/save 2>> $XP_PROT
#ANPASSEN#
# nur fr Update 05.2021 !!! laut RK jetzt doch nicht mehr notwendig
###--------------- Konvertierung HVOMRU
#echo "      Konvertierung Datei HVOMRU"
#echo "      Konvertierung Datei HVOMRU" >> $XP_PROT
#$XP_RUNCBL FF786
#ANPASSEN-ENDE#
cd $XP_ACU
#
###--------------- Mendatei aufbauen
#hw
echo "    - Mendatei aufbauen"
echo "    - Mendatei aufbauen" >> $XP_PROT
$XP_RUNCBL xosetmen
#
#
###--------------- Programmdatei fr Programmpasswrter aufbauen
#hw
echo "    - Programmdatei aufbauen"
echo "    - Programmdatei aufbauen" >> $XP_PROT
$XP_RUNCBL xosetpass
#
# xe/images aktualisieren
echo "    - xe/images aktualisieren"
echo "    - xe/images aktualisieren" >> $XP_PROT
mkdir -p $XP_ACU/xe/images/ 2>> $XP_PROT
cp $XP_XPV/xe/images/* $XP_ACU/xe/images/ 2>> $XP_PROT
# ls/images aktualisieren
echo "    - ls/images aktualisieren"
echo "    - ls/images aktualisieren" >> $XP_PROT
mkdir -p $XP_ACU/ls/images/ 2>> $XP_PROT
cp $XP_XPV/ls/images/* $XP_ACU/ls/images/ 2>> $XP_PROT
###
###--------------- Rechte auf die wichtigsten Verzeichnisse setzen
###
echo "    - Rechte setzen... bitte warten!"
echo "      (Dieser Vorgang kann einige Minuten in Anspruch nehmen!)"
echo "    - Rechte setzen"   >> $XP_PROT
chmod -R 777 $XP_ACU/DATEN   2>> $XP_PROT
chmod -R 777 $XP_ACU/work/xo 2>> $XP_PROT
chmod -R 777 $XP_ACU/LISTE   2>> $XP_PROT
chmod -R 777 $XP_ACU/X/SYS   2>> $XP_PROT
chmod -R 777 $XP_ACU/X/XO1   2>> $XP_PROT
chmod -R 777 $XP_ACU/X/XO2   2>> $XP_PROT
chmod -R 777 $XP_ACU/DATXP   2>> $XP_PROT
chmod -R 777 $XP_ACU/SCRIPTS 2>> $XP_PROT
# hw, 10.08.2020: wenn modus_neu vorhanden, dann nehmen wir modus_neu
#$XP_ACU/SCRIPTS/modus 2> /dev/null >> /dev/null
if [ -s $XP_ACU/SCRIPTS/modus_neu ]
then
    $XP_ACU/SCRIPTS/modus_neu $XP_ACU >> $XP_PROT 2>&1
else
    $XP_ACU/SCRIPTS/modus 2> /dev/null >> /dev/null
fi
# hw, 10.08.2020: Owner und Group fr Programme und Scripts setzen
cd $XP_ACU
chown -R root ??/bin > /dev/null 2>&1
chgrp -R root ??/bin > /dev/null 2>&1
chown -R root SCRIPTS > /dev/null 2>&1
chgrp -R root SCRIPTS > /dev/null 2>&1
###
###--------------- Version fixieren
###
cd $XP_ACU
echo "    - Version $updversion fixieren"
echo "    - Version $updversion fixieren" >> $XP_PROT
cat $XP_ACU/acuversion >> acuversion.alt 2>> $XP_PROT
echo "Xenergy $FIRMA - Version $updversion " > $XP_ACU/acuversion 2>> $XP_PROT
cat $XP_ACU/xoilversion >> xoilversion.alt 2>> $XP_PROT
echo $updversion > $XP_ACU/xoilversion 2>> $XP_PROT
###
###--------------- aktuelle Teamviewer_QS.exe verteilen
###
echo "    - Teamviewer_QS / Updateschreiben aktualisieren"
echo "    - Teamviewer_QS / Updateschreiben aktualisieren" >> $XP_PROT
case $XP_TEST in
J) echo "    - XPOINT - Teamviewer wird nicht aktualisiert"
   echo "    - XPOINT - Teamviewer wird nicht aktualisiert" >> $XP_PROT
   ;;
*) cd /u/xpoint
   rm -f /u/xpoint/prog/teamviewer/TeamViewer*.exe  2>> $XP_PROT
   cp -p -r $XP_XPV/prog /u/xpoint/ 2>> $XP_PROT
   chmod -R 777 /u/xpoint/prog      2>> $XP_PROT
   chown -R root /u/xpoint/prog > /dev/null 2>&1
   chgrp -R root /u/xpoint/prog > /dev/null 2>&1
   ;;
esac
#ANPASSEN#
###
###--------------- TARGET-Datei verteilen (11.2020)
###
#echo "    - TARGET-Datei aktualisieren"
#echo "    - TARGET-Datei aktualisieren"  >> $XP_PROT
#cp -p -r $XP_XPV/DATEN/TARGET* $XP_ACU/DATEN/ 2>> $XP_PROT
#chmod -R 777 $XP_ACU/DATEN/TARGET*  2>> $XP_PROT
#chown -R root $XP_ACU/DATEN/TARGET* > /dev/null 2>&1
#chgrp -R root $XP_ACU/DATEN/TARGET* > /dev/null 2>&1
###
###--------------- OMRARG-Datei verteilen (11.2020)
###
#echo "    - OMRARG-Datei aktualisieren"
#echo "    - OMRARG-Datei aktualisieren"  >> $XP_PROT
#cp -p -r $XP_XPV/DATEN/OMRARG* $XP_ACU/DATEN/ 2>> $XP_PROT
#chmod -R 777 $XP_ACU/DATEN/OMRARG*  2>> $XP_PROT
#chown -R root $XP_ACU/DATEN/OMRARG* > /dev/null 2>&1
#chgrp -R root $XP_ACU/DATEN/OMRARG* > /dev/null 2>&1
#ANPASSEN-ENDE#
###
###--------------- aktuelle Lizenz-Datei verteilen (ab 03.2016)
###
echo "    - Lizenzdatei aktualisieren"
echo "    - Lizenzdatei aktualisieren" >> $XP_PROT
case $XP_TEST in
J) echo "    - XPOINT - Lizenzdatei wird nicht aktualisiert"
   echo "    - XPOINT - Lizenzdatei wird nicht aktualisiert" >> $XP_PROT
   ;;
*) cp xpv/lizenz/.xpoint.liz /tmp/xpoint.liz$$.gz          2>> $XP_PROT
   gunzip /tmp/xpoint.liz$$.gz                             2>> $XP_PROT
   firma1=NONE
   firma2=NONE
   firma3=NONE
   firma4=NONE
   firma5=NONE
   firma6=NONE
   if [ -s /u/xpoint/acu/acufirma ]
   then
      firma1=`cat /u/xpoint/acu/acufirma | tr ";" " " 2>/dev/null`
   fi
   if [ -s /u/xpoint/bcu/acufirma ]
   then
      firma2=`cat /u/xpoint/bcu/acufirma | tr ";" " " 2>/dev/null`
   fi
   if [ -s /u/xpoint/ccu/acufirma ]
   then
      firma3=`cat /u/xpoint/ccu/acufirma | tr ";" " " 2>/dev/null`
   fi
   if [ -s /u/xpoint/dcu/acufirma ]
   then
      firma4=`cat /u/xpoint/dcu/acufirma | tr ";" " " 2>/dev/null`
   fi
   if [ -s /u/xpoint/ecu/acufirma ]
   then
      firma5=`cat /u/xpoint/ecu/acufirma | tr ";" " " 2>/dev/null`
   fi
   if [ -s /u/xpoint/acusln/acufirma ]
   then
      firma6=`cat /u/xpoint/acusln/acufirma | tr ";" " " 2>/dev/null`
   fi
   grep "${firma1};" /tmp/xpoint.liz$$  > /tmp/xpoint.kunde$$ 2>> $XP_PROT
   grep "${firma2};" /tmp/xpoint.liz$$ >> /tmp/xpoint.kunde$$ 2>> $XP_PROT
   grep "${firma3};" /tmp/xpoint.liz$$ >> /tmp/xpoint.kunde$$ 2>> $XP_PROT
   grep "${firma4};" /tmp/xpoint.liz$$ >> /tmp/xpoint.kunde$$ 2>> $XP_PROT
   grep "${firma5};" /tmp/xpoint.liz$$ >> /tmp/xpoint.kunde$$ 2>> $XP_PROT
   grep "${firma6};" /tmp/xpoint.liz$$ >> /tmp/xpoint.kunde$$ 2>> $XP_PROT
   cat /tmp/xpoint.kunde$$                                     >> $XP_PROT
   gzip /tmp/xpoint.kunde$$                                   2>> $XP_PROT
   mv /tmp/xpoint.kunde$$.gz /u/xpoint/.xpoint.liz            2>> $XP_PROT
   rm /tmp/xpoint.liz$$
   chmod 777 /u/xpoint/.xpoint.liz 2>> $XP_PROT
   chown root /u/xpoint/.xpoint.liz > /dev/null 2>&1
   chgrp root /u/xpoint/.xpoint.liz > /dev/null 2>&1
   ;;
esac
###
###--------------- Aufrumarbeiten NACH dem Update
###
echo "    - Aufrumen"
echo "    - Aufrumen" >> $XP_PROT
###
###--------------- Kopie des Updateprotokoll erstellen, falls das Orginal (.DRU) vom Benutzer zuvor gelscht wird!
###
echo "                                                         " >> $XP_PROT
echo " ------------------------------------------------------- " >> $XP_PROT
echo " -- Ende start.sh: `date '+%d.%m.%Y/%H:%M:%S'` "           >> $XP_PROT
cp -p -f $XP_PROT $XP_ACU/LISTE/UPDPRT_$updversion.log
# Update-Protokoll im Protokoll-Ordner archivieren
mkdir -p $XP_ACU/protokoll/updates
cp -p -f $XP_PROT $XP_ACU/protokoll/updates/UPDPRT_$updversion.log
###
###--------------- Endemeldung, Abschluss
###
echo "                                                         "
echo " ------------------------------------------------------- "
echo "                                                         "
echo "    Ende der Updateroutine                               "
echo "                                                         "
echo "    WEITER mit Enter \c"
read eingabe
rm /tmp/start.sh*$$ > /dev/null 2>&1
#hw, 14.06.2018 Zwischendatei xo006 lschen
rm $XP_ACU/ZWDAT/xo006nrtest* > /dev/null 2>&1
#***********************************************************************
#*END*OF*start.sh*******************************************************
