#!/bin/bash
#
# sp051d.sh aufgerufen aus SP051D
# $1	Bereich 	xo
# $2	Jahreszahl	16 
# $3	ArchivOrdner	0117 (work/xo16/0117)
# $4	Tarfilename     xorech-20161229-0117.tar
#                       morech-20161229-0117.tar
#                       m5rech-20161229-0117.tar

umask 000                   # "file creation mask"

DIR="work/$1$2/"            # Zielverzeichnis
ARCHIV="$3"                 # Archivierte Liste
TARFILE="$4"                # Tarfile vom Abrechnungsverzeichnis
ARCHIVFILE="$TARFILE.gz"    # geziptes Tarfile
LOGFILE="`pwd`/protokoll/sp051d.log" 

cd $DIR 2>> $LOGFILE
tar cfv $TARFILE $ARCHIV 2>>$LOGFILE   # Rechnungen packen
gzip -q $TARFILE 2>>$LOGFILE           # Einpacken
# Prfen ob das Tarfile existiert nur dann Verzeichnis lschen
if [ -f $ARCHIVFILE ]
then
   echo "Archiv erfolgreich erstellt: $ARCHIVFILE" >>$LOGFILE 
   rm -r $ARCHIV 2>>$LOGFILE
else
   echo "Archiv-Ordner $ARCHIV nicht gelscht. ($ARCHIVFILE)" >>$LOGFILE
fi
