#!/bin/bash
# ------------------------------------------------------------------------------
# Script:    xdialexport.sh
# Version:   20200525-v1
# Autor:     Konrad Sauerteig,
# Copyright: Xpoint Software GmbH
# Funktion:  Export Telefonnummern aus Kundenstamm für CTI-Lösung wie X-dial,
#            ohne Reorganisation der Anrufliste von X-dial,
#            Reorg findet nur im Nachtlauf statt, wenn Aufruf mit Parameter "R".
# ------------------------------------------------------------------------------
#
# TERM=ansi setzen, sonst läuft hier nichts
export TERM=ansi
#
# Definition Variablen
#
acudir=/u/xpoint/acu
logfile=$acudir/protokoll/xdialexport.log
acurun=/etc/ran
#
if [ -s $acudir/xo/bin/xotelex.acu ]
then
   echo "`date '+%d.%m.%Y/%H:%M:%S'`  - xotelex (Export Telefonnummern f. X-dial)" >> $logfile
   # Aufruf xotelex mit Parameter <> "R", da bei Aufruf mit Parameter "R" eine
   # Reorganisation der Anrufliiste erfolgt. Reorg ist im Nachtlauf ausreichend.
   $acurun xotelex "E" >> $logfile 2>&1
   FCODE=$?
   echo "`date '+%d.%m.%Y/%H:%M:%S'`    Fehlercode: > $FCODE <" >> $logfile
   chmod 666 $acudir/xdial/db/tel.idx >> $logfile 2>&1
else
   echo "`date '+%d.%m.%Y/%H:%M:%S'`  FEHLER - Programm xotelex fehlt!" >> $logfile
fi
exit 0
